## ros-indigo-pyzmp 0.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyzmp)

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyzmp)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    catkin_add_pytests(pyzmp/tests)

endif()

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyzmp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyzmp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyzmp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyzmp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-indigo-pyzmp (0.0.15-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- AlexV <asmodehn@gmail.com>  Tue, 02 May 2017 10:28:43 -0000

ros-indigo-pyzmp (0.0.14-0trusty) trusty; urgency=high

  * Preparing 0.0.14. [alexv]
  * Removing release shell script. now done from setup.py. [alexv]
  * Removing package.xml. doing thirdparty release from release repo now.
    [alexv]
  * Moving docs to doc. [alexv]
  * Merge branch 'docs' of https://github.com/asmodehn/pyzmp. [alexv]Conflicts:
    
    CHANGELOG.rst
  * Added doc-requirements. [AlexV]
  * Added tutorial and example changelog generated with gitchangelog.
    [AlexV]
  * More docs about process managers... [AlexV]
  * Added very basic rpc tutorial. [AlexV]
  * First doc version generated with sphinx-apidoc. added CHANGELOG.
    [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 09 Aug 2016 15:00:00 -0000

ros-indigo-pyzmp (0.0.13-0trusty) trusty; urgency=high

  * Preparing 0.0.13. [alexv]
  * Retrieving changes from indigo-devel, because it s building now and
    ready to be offloaded to release repo as patches. [alexv]
  * Improved setup.py. now relying on twine for release. [alexv]
  * Preparing version 0.0.12. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 09 Aug 2016 15:00:00 -0000

ros-indigo-pyzmp (0.0.12-0trusty) trusty; urgency=high

  * Preparing version 0.0.12. [alexv]
  * Synchronizing package version for ROS. [alexv]
  * Improving self test. [AlexV]
  * Refining tox venvs to not use them for development. [AlexV]
  * Reviewing tox and tests. [AlexV]
  * Filling in README. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Mon, 08 Aug 2016 15:00:00 -0000

ros-indigo-pyzmp (0.0.11-0trusty) trusty; urgency=high

  * Preparing version 0.0.11. [alexv]
  * Listing pytest last in th dependency list to solve https://github.com
    /pytest-dev/pytest/issues/1652. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 15:00:00 -0000

ros-indigo-pyzmp (0.0.10-0trusty) trusty; urgency=high

  * Preparing version 0.0.10. [alexv]
  * Merge pull request #1 from asmodehn/deterministic_node_start. [AlexV]Deterministic node start
  * Documenting test methods to make quantifiedcode happy. [alexv]
  * Updated quantifiedcode badge to point to correct project. [alexv]
  * Return exitcode 0 if update ran, but never returned one. made run()
    method overridable more or less like Process.run() fixed confusion
    between run&update arguments cosmetics. [alexv]
  * Change on API for shutdown and run/target. now process a lazy delegate
    to allow easy restart. [AlexV]
  * Small node improvements. WIP. [AlexV]
  * Reviewing how we use zmp nodes and improving tests... WIP. [alexv]
  * Making default behavior (call start() without args) bw compatible ( we
    don't know if node has started just yet) [alexv]
  * Making default timeout infinite for start() and shutdown() just like
    multiprocessing.Process. [alexv]
  * Waiting for node to be initialized before returning from start() call.
    made start() more determinist, tests more stricts, and added timeouts
    on start() and shutdown() [alexv]
  * Removing site-packages since this is a pure python project. ROS test
    somewhere else. [alexv]
  * Revert "travis with sudo to be able to install ros." [alexv]This reverts commit 7b59cdf84f4e83a8cb0f2c3242e64667d29323da.
  * Revert "adding ROS install for travis tests" [alexv]This reverts commit 518fdadeca719e64140814b39a3c185b6da649d7.
  * Travis with sudo to be able to install ros. [alexv]
  * Calling py.test directly from tox. [alexv]
  * Adding ROS install for travis tests. [alexv]
  * Added files required by catkin-pip. [alexv]
  * Now using pytest for testing. [alexv]
  * Fixing release script tag command. [alexv]

 -- AlexV <asmodehn@gmail.com>  Wed, 22 Jun 2016 15:00:00 -0000

ros-indigo-pyzmp (0.0.9-0trusty) trusty; urgency=high

  * Removed bloom from release script. tested with testpypi. [alexv]
  * Small travis improvement. preparing v0.0.9. [alexv]
  * Now using pytest and tox for testing. [alexv]
  * Removing package.xml from manifest. [alexv]
  * Adding basic travis first config. [alexv]
  * Importing zmp from pyros, cleaning up pyros stuff. [alexv]
  * Replacing obsolete navi/semantic_locations by new
    /rocon/semantics/locations. [alexv]
  * Moved pyros and zmp sources, otherwise pyros was not find through egg
    link. [alexv]
  * Added version. fixed tests in cmakelists. added default config file,
    removed useless testing config. added entry point for selftests. added
    requirements devel dependency to pyros-setup. [alexv]
  * Cleaning up rosinterface __init__. now doing ros setup only in child
    node process, dynamically. parent process is isolated. [alexv]
  * Cleaning up imports and fixing tests. [alexv]
  * Refactored to add configuration at module, package and user levels.
    implified pyros-setup configuration from rosinterface. reviewed
    separation between node and interface to isolate all ros setup in
    child process. now doing ROS message conversion internally in
    rosinterface service and topic classes. fixed most tests. now uses six
    to improve python3 compatibility. [alexv]
  * Starting to adapt to new configuration from pyros-setup. [alexv]
  * Now using catkin_pure_python. [alexv]
  * Merge pull request #71 from gitter-badger/gitter-badge. [AlexV]Add a Gitter chat badge to README.rst
  * Add Gitter badge. [The Gitter Badger]
  * Merge pull request #69 from asmodehn/multiclient. [AlexV]cosmetics, comments and small fixes...
  * Cosmetics, comments and small fixes... [alexv]
  * Merge pull request #62 from asmodehn/remove_unused_features. [AlexV]Remove unused features
  * Readme regarding IoT. [alexv]
  * Cosmetics. [alexv]
  * Changing reinit method to a setup service. now reinitialize
    rosinterface everytime the list of services or topic passed by the
    user changes. refactor the base interface to hold local copy of system


=== debian/control ===
Source: ros-indigo-pyzmp
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-pytest, python-zmq, ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyzmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-zmq
Description: Python Multiprocess Management Framework, based on ZeroMQ communication

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pyzmp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
